Créer un outil
curl --request POST \
--url https://api.example.com/api/toolsimport requests
url = "https://api.example.com/api/tools"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/api/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Outils
Créer un outil
Créer un nouvel outil
POST
/
api
/
tools
Créer un outil
Requête
curl -X POST https://app.orova.ai/api/tools \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Check Order Status",
"type": "http",
"description": "Use when the caller asks about their order status",
"workspaceId": "WORKSPACE_ID",
"config": {
"method": "GET",
"url": "https://api.yourcompany.com/orders/{order_id}",
"headers": {
"Authorization": "Bearer YOUR_BACKEND_TOKEN"
}
},
"parameters": [
{
"name": "order_id",
"description": "The customer order number",
"required": true
}
]
}'
Paramètres
| Champ | Type | Requis | Description |
|---|---|---|---|
name | string | Oui | Nom d’affichage de l’outil |
type | string | Oui | Type d’outil : http, integration ou transfer |
description | string | Oui | Indique à l’agent quand utiliser cet outil |
workspaceId | string | Oui | ID de l’espace de travail |
templateId | string | Non | ID du modèle d’intégration (pour les outils d’intégration) |
config | object | Non | Configuration HTTP : method, url, headers, body |
parameters | array | Non | Paramètres que l’agent extrait de la conversation |
Réponse
{
"_id": "tool_abc123",
"name": "Check Order Status",
"type": "http",
"description": "Use when the caller asks about their order status",
"workspaceId": "WORKSPACE_ID",
"config": {
"method": "GET",
"url": "https://api.yourcompany.com/orders/{order_id}"
},
"createdAt": "2025-01-01T00:00:00.000Z"
}
Cette page vous a-t-elle été utile ?
⌘I

